#ifndef CLIB_DIGNET_PROTOS_H
#  define CLIB_DIGNET_PROTOS_H

/* C include by Stellan Klebom (melazy@kuai.se) */

AllocNet(device,unit);
FreeNet(net);
ReadNet(net,buffer,size);
WriteNet(net,buffer,size);
QueryNet(net);
AbortNet(net);
InitIOEXT(net,newioext,length);
ReadIOEXT(net,buffer,length);
SendNet(net,pathAndFilename);
ReceiveNet(net,path);
Timeout(net,seconds);
ReadString(net,buffer,max);
WriteString(net,string);
GetNetport(net);
InitModem(net,initstring,buffer);
CallModemDT(net,number,buffer);
CallModemDP(net,number,buffer);
WaitModem(net,buffer);
HangupModem(net);
StopWaiting(net);
FlushNet(net);
SetBaud(net,baud);
ConvertModemString(string);
GetIOmsg(net);
GetModemStatus(net);
GetCurrentDevice(net);
GetCurrentUnit(net);
GetBaudrate(net);
ParseConnect(buffer);
SetDefault(net);
ConvertToPC(text);
ConvertToAmiga(text);
FreeConvert(convertedtext);
ObtainNet(taskname);
RTNumberofNets(void);
RTNetInfo(buffer,ID);
RTKillNet(ID);
RTAbort(ID);
RTFlush(ID);
RTCheck();
RTHighestID();
WaitText(net,waitstring);
ConverseText(net,waitstring,sendstring);
CaptureTextStart(net,filename,mode);
CaptureTextEnd(net);
SetParity(net,parity);
SetHandshake(net,handshake);
SetStopbits(net,stopbits);
SetBitwidth(net,bitwidth);
GetParity(net);
GetHandshake(net);
GetStopbits(net);
GetBitwidth(net);

#endif
